Name:          freerdp
Version:       2.2.0
Release:       1mamba
Summary:       A Remote Desktop Protocol Implementation
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.freerdp.com/
Source0:       https://github.com/FreeRDP/FreeRDP.git/master/FreeRDP-%{version}.tar.bz2
#Source0:       https://github.com/FreeRDP/FreeRDP/archive/%{version}.tar.gz
Patch0:        %{name}-1.0.1-fix_not_linked_with_libpulse.patch
Patch1:        freerdp-1.0.2-ffmpeg-2.3.3.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcups-devel
BuildRequires: libdirectfb-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcsclite-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXv-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: xmlto
BuildRequires: libxml2-utils
BuildRequires: docbook-utils
#Requires:      %{name}-plugins = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), according to the Microsoft Open Specifications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.
libfreerdp-core can be embedded in applications.
libfreerdp-channels and libfreerdp-kbd might be convenient to use in X applications together with libfreerdp-core.
libfreerdp-core can be extended with plugins handling RDP channels.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package plugins
Group:         Applications/Networking
Summary:       Plugins for handling the standard RDP channels
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description plugins
A set of plugins to the channel manager implementing the standard virtual channels extending RDP core functionality.
For instance, sounds, clipboard sync, disk/printer redirection, etc.

%debug_package

%prep
%setup -q -n FreeRDP-%{version}
#%patch0 -p1
#%patch1 -p1

%build
%cmake -d build \
   -DCMAKE_BUILD_TYPE=Release \
   -DWITH_CUPS:BOOL=ON \
   -DWITH_PCSC:BOOL=ON \
   -DWITH_PULSEAUDIO:BOOL=ON \
   -DWITH_X11:BOOL=ON \
   -DWITH_XCURSOR:BOOL=ON \
   -DWITH_XEXT:BOOL=ON \
   -DWITH_XINERAMA:BOOL=ON \
   -DWITH_XKBFILE:BOOL=ON \
   -DWITH_XV:BOOL=ON \
   -DWITH_ALSA:BOOL=ON \
   -DWITH_CUNIT:BOOL=OFF \
   -DWITH_DIRECTFB:BOOL=ON \
   -DWITH_FFMPEG:BOOL=ON \
   -DWITH_SSE2=OFF \
   -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/xfreerdp
%{_bindir}/winpr-hash
%{_bindir}/winpr-makecert
%{_bindir}/wlfreerdp
%{_mandir}/man1/xfreerdp.*
%{_mandir}/man1/winpr-hash.1*
%{_mandir}/man1/winpr-makecert.1*
%{_mandir}/man1/wlfreerdp.1*
%{_mandir}/man7/wlog.7*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfreerdp3.so.*
%{_libdir}/libuwac0.so.*
%{_libdir}/libwinpr-tools3.so.*
%{_libdir}/libwinpr3.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/freerdp3
%{_includedir}/freerdp3/*
%dir %{_includedir}/uwac0/uwac
%{_includedir}/uwac0/uwac/*
%dir %{_includedir}/winpr3/winpr
%{_includedir}/winpr3/winpr/*
%{_libdir}/libfreerdp-client3.so
%{_libdir}/libfreerdp-client3.so.*
%{_libdir}/libfreerdp3.so
%{_libdir}/libuwac0.so
%{_libdir}/libwinpr-tools3.so
%{_libdir}/libwinpr3.so
%dir %{_libdir}/cmake/FreeRDP-Client3
%{_libdir}/cmake/FreeRDP-Client3/FreeRDP-Client*.cmake
%dir %{_libdir}/cmake/FreeRDP3
%{_libdir}/cmake/FreeRDP3/FreeRDP*.cmake
%dir %{_libdir}/cmake/WinPR3
%{_libdir}/cmake/WinPR3/WinPR*.cmake
%dir %{_libdir}/cmake/uwac0
%{_libdir}/cmake/uwac0/uwac*.cmake
%{_libdir}/pkgconfig/freerdp-client3.pc
%{_libdir}/pkgconfig/uwac0.pc
%{_libdir}/pkgconfig/winpr-tools3.pc
%{_libdir}/pkgconfig/winpr3.pc
%{_libdir}/pkgconfig/freerdp3.pc

#%files plugins
#%defattr(-,root,root)
##%{_libdir}/freerdp/*.so

%changelog
* Mon Jul 20 2020 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Jun 22 2020 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Thu May 21 2020 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- freerdp: removed requirement for freerdp-plugins

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0_20160107-1mamba
- update to 1.2.0_20160107

* Sun Dec 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- added patch for ffmpeg 2.3.3

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-3mamba
- add the %{name}-plugins subpackage
- enable the pulseaudio plugin
- fix linking of rdpsnd_pulse.so against libpulse.so.0  

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-2mamba
- build requires libxml2-utils and docbook-utils

* Sat Sep 29 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-1mamba
- package created by autospec
